Index: librvp-0.9.7cvs/rvp.c
===================================================================
--- librvp-0.9.7cvs.orig/rvp.c	2014-10-30 00:47:30.274125510 -0700
+++ librvp-0.9.7cvs/rvp.c	2014-10-30 00:47:30.270125574 -0700
@@ -4242,7 +4242,7 @@
   xmlDocDumpFormatMemory( doc, &content, &content_length, 0 );
   xmlFreeDoc( doc );
 
-  args[0] = g_strdup_printf( principal );
+  args[0] = g_strdup_printf( "%s", principal );
   args[1] = (gchar *)content;
   args[2] = (gchar *)content_length;
   args[3] = NULL;
